<div ng-switch on="$ctrl.type">
  <ca-ir-mini
      ng-switch-when="ca-ir-mini"
      id="$ctrl.id"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()"></generic-rielta-wired-device>
  </ca-ir-mini>
  <ca-smk-mini
      ng-switch-when="ca-smk-mini"
      id="$ctrl.id"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()"></generic-rielta-wired-device>
  </ca-smk-mini>
  <ca-combo2
      ng-switch-when="ca-combo2"
      id="$ctrl.id"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()"></generic-rielta-wired-device>
  </ca-combo2>
  <ca-combo3
      ng-switch-when="ca-combo3"
      id="$ctrl.id"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()"></generic-rielta-wired-device>
  </ca-combo3>
  <punch-t2
      ng-switch-when="punch-t2"
      id="$ctrl.id"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()"></generic-rielta-wired-device>
  </punch-t2>
  <ca-smk-atm1
      ng-switch-when="ca-smk-atm1"
      id="$ctrl.id"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()"></generic-rielta-wired-device>
  </ca-smk-atm1>
  <ca-smk-atm2
      ng-switch-when="ca-smk-atm2"
      id="$ctrl.id"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()"></generic-rielta-wired-device>
  </ca-smk-atm2>
</div>
